Vyper support comes to ETC!

We are delighted to announce that ETC Cooperative has funded the Vyper team to add EVM target versioning which was gating for ETC support.


Vyper previously targeted ETH Byzantium opcodes unconditionally.  These opcodes were missing from ETC until the Atlantis hardfork which happened in September 2019.  Now Vyper has support for three different EVM versions:

To select your target EVM, use vyper --evm-version whatever on the command-line.

At the time of writing for ETC mainnet that would be vyper --evm-version atlantis.

After this weekend it will be vyper --evm-version agharta.  ETC testnets are already Agharta-enabled.

Head over to https://github.com/vyperlang/vyper to see the work-in-progress or to https://vyper.readthedocs.io/ for documentation.

Congratulations to our friends on the Vyper team for this support and the raft of other features and fixes they just released.

Please consider supporting their important work via Gitcoin donations with a time-sensitive opportunity to boost their funding via CLR matching until 21st January.   Support our developers 🙂

Thanks to Yaz Khoury for his key role in getting this important project to completion!